PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_Enable | ( | PLASMA_enum | lever | ) |

PLASMA_Enable - Enable PLASMA feature.

Parameters

  [in] | lever | Feature to be enabled: PLASMA_WARNINGS printing of warning messages, PLASMA_ERRORS printing of error messages, PLASMA_AUTOTUNING autotuning for tile size and inner block size, PLASMA_DAG Quark automatic DAG generation.

Returns

Return values

  PLASMA_SUCCESS | successful exit
  PLASMA_ERR_NOT_INITIALIZED | if Plasma is not initialized
  PLASMA_ERR_ILLEGAL_VALUE | if lever is unknown